/*
   modified by: p.hlstede	(peter@calvados.chemie.uni-bremen.de)

							06.09.1997
 */

#ifndef Gloe_SYS_CONSTS
#define Gloe_SYS_CONSTS

/*
 * #define LET_MOTIF_SEARCH  to use the Motif 1.2 function 'XmTextFindString'
 * in search/replace actions, when possible, instead of retrieving the whole
 * text from the widget and search with standard string functions.
 * The advantage of not #defining it, is that gloe's own search function tries
 * to center found items in the window, so that you can see the context, while
 * Motif's functions tend to show found items in the editor's first or last row.
 */
/*#define LET_MOTIF_SEARCH*/

/*
 * If TOGGLE_SCROLLBAR is #defined, gloe tries to turn the horizontal scroll-
 * bar on and off together with the wordwrap. Since I use a rude method for
 * it (I kill and recreate the whole text widget) and I don't know if this
 * might cause problems (it seems to work fine und Linux with Motif 2.0.1)
 * you can disable the feature here. If TOGGLES_SCROLLBAR is not #defined you
 * will never get a horizontal scrollbar.
 */
#define TOGGLE_SCROLLBAR

/*
 * If PERSISTENT_UNDO is #defined, the undo buffer isn't cleared when as file
 * is saved. This allows to undo changes made before saving.
 */
#define PERSISTENT_UNDO


/***********************/
/* MISCELLANEOUS       */
/***********************/
#define CHARSET		XmSTRING_DEFAULT_CHARSET

#define BELL_VOL	20

/* If NO_LARGE_FILES is #defined, only files with less than */
/* MAX_DOCUMENT_LENGTH characters can be edited.            */
#undef NO_LARGE_FILES
#define MAX_DOCUMENT_LENGTH 350000

#define	SEPCHARS	" ,\t\n"

/*****************/
/* CONFIGUTATION */
/*****************/
#define MAX_PRINTER_LEN  100

#define AUTO_SAVE_TIME     100
#define MIN_AUTO_SAVE_TIME  20

typedef enum {
   HELPCALL,
   HELPCANCEL,
   HELPSEARCH,
   HELPHELP,
   HELPSETUP,
   HELPABOUT
} HelpReason;

/***********************/
/* MENU BUTTON NUMBERS */
/***********************/
typedef enum {
   NEW,
   OPEN,	INSERT,
   SAVE,	SAVEAS,		SAVESELECTION,
   PRINT,	PRINTSELECTION,
   QUIT,
   CUT,		COPY,		PASTE,
   UNDO,	REDO,
   SEARCH,	REPLACE,	REPLACEALL,
   MATCH,	SELECTIONONLY,
   SETUP,
   HELPB,
   JUMP,	JUMPTEXT,
   SEARCHTEXT,	REPLACETEXT
} HelpItem;

/************************/
/* MODES FOR FILE BOXES */
/************************/
typedef enum {
   OPENIT,
   INSERTIT,
   APPENDIT,
   SAVE_ALL,
   SAVE_AS,
   SAVE_SEL
} FileMode;

/***********************/
/* BOOLEAN FLAG VALUES */
/***********************/
#define NOTHING	     -1
#define NO	      0
#define YES	      1
#define HELP	      2
#define SAVE_THEN_DO  3

#endif/*SYS_CONSTS*/
